DocumentViewer nowadays needs the following packages:
open-xchange-documents-ui-viewer, open-xchange-documents-ui-static and open-xchange-documents-ui.

OX Text nowadays needs the following packages:
open-xchange-documents-ui-editors, open-xchange-documents-ui-static and open-xchange-documents-ui.